Add *.rc to shebangfix whitelist
ClosedPublic

Authored by AMDmi3 on Apr 19 2017, 10:36 AM.

Details

Summary

There are #!/bin/rc files installed by e.g. go:

Error: '/bin/rc' is an invalid shebang you need USES=shebangfix for 'go/src/all.rc'
Error: '/bin/rc' is an invalid shebang you need USES=shebangfix for 'go/src/clean.rc'
Error: '/bin/rc' is an invalid shebang you need USES=shebangfix for 'go/src/make.rc'
Error: '/bin/rc' is an invalid shebang you need USES=shebangfix for 'go/src/run.rc'

I'm not sure if these are usable on FreeBSD at all. We could add a shebangfix for them to use ${LOCALBASE}/bin/rc or whitelist them in qa.sh, and for now let's go the latter way.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
AMDmi3 created this revision.Apr 19 2017, 10:36 AM
miwi added a subscriber: miwi.Apr 19 2017, 10:37 AM
mat added a comment.Apr 19 2017, 11:09 AM

We don't seem to have a bin/rc in our go ports, so, yeah, go ahead.

mat accepted this revision.Apr 19 2017, 11:10 AM
This revision has a positive review.Apr 19 2017, 11:10 AM
rene added a subscriber: rene.Apr 19 2017, 11:10 AM

There is no /bin/rc, so the warning is correct, or am I missing something?

mat added a comment.Apr 19 2017, 11:15 AM

I wonder if, instead, bin/rc should not be whitelisted.

AMDmi3 updated this revision to Diff 27579.Apr 20 2017, 3:44 PM

Agreed with mat@ suggestion, whitelist /bin/rc instead

This revision now requires review to proceed.Apr 20 2017, 3:44 PM
mat accepted this revision.Apr 20 2017, 9:57 PM
This revision has a positive review.Apr 20 2017, 9:57 PM
mat added a comment.Apr 21 2017, 7:52 AM

After committing this, please unfix lang/go14 :-)

This revision was automatically updated to reflect the committed changes.
ak added a subscriber: ak.Apr 21 2017, 4:31 PM

Because of name collision, that change masks potential shebang error in devel/plan9port which depends on shells/rc (plan9-like shell) which provides bin/rc.
It's one obscure port, so I guess that change is ok, but it would be nice to at least add comment about this potential issue.